import {
  select, 
  json, 
  geoPath,
  set,
  geoCentroid,
  geoAlbersUsa
} from 'd3';

import { feature, merge } from 'topojson';
import { loadAndProcessData } from './loadAndProcessData';

const svg = select('svg');
let data;
const width = +svg.attr('width');
const height = +svg.attr('height');


const path = geoPath();
const projection = geoAlbersUsa();

 
loadAndProcessData().then(data => {
  render(data);
});


const render = (data) => {
//logic for regions
  //svg.append("path")
   //.datum(merge(data, data.objects.states.geometries.filter(function(d) { return NorthEast.has(d.id); })))
   //.attr("class", "NorthEast")
   //.attr("d", path);
  //svg.append("path")
   //.datum(merge(data, data.objects.states.geometries.filter(function(d) { return MidWest.has(d.id); })))
   //.attr("class", "MidWest")
  //.attr("d", path);
 //svg.append("path")
   //.datum(merge(data, data.objects.states.geometries.filter(function(d) { return South.has(d.id); })))
   //.attr("class", "South")
  //.attr("d", path);
 //svg.append("path")
   //.datum(merge(data, data.objects.states.geometries.filter(function(d) { return West.has(d.id); })))
  //.attr("class", "West")
 //.attr("d", path)
  
    svg.append("g")
      .attr("class", "states")
      .selectAll("path")
      .data(data.features)
      .enter().append("path")
      .attr("d", path);
  
    svg.append("g")
      .attr("class","circle")
      .selectAll("circle")
      .data(data.features)
      .enter().append("circle")
      .attr('cx', d => (geoCentroid(d)[0]))
      .attr('cy', d => (geoCentroid(d)[1]))
      .attr('r',10)
      .attr('fill','red')

};    






